kb
List document revision history.
List document revision history.
OpenAPI specificationPOST
/api/v1/kb/versionsAuthentication
bearerAuth
Request
curl --globoff --request POST \
--url 'https://honen.com/api/v1/kb/versions' \
--header 'Authorization: Bearer <BEARER_TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
"itemId": "<itemId>"
}'Replace credential and <field> placeholders with your own values. URL placeholders appear as %3Cfield%3E. Review the example values before sending your request.
Use the sample JSON body as your starting point, and enter values that match the endpoint's schema.
Request body schema or example
{
"type": "object",
"properties": {
"itemId": {
"type": "string"
},
"limit": {
"type": "integer",
"minimum": 0,
"exclusiveMinimum": true,
"maximum": 100
},
"offset": {
"type": "integer",
"minimum": 0
}
},
"required": [
"itemId"
]
}Responses
200Command result.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
true
]
},
"data": {
"type": "object",
"properties": {
"itemId": {
"type": "string"
},
"currentVersionId": {
"type": "string",
"nullable": true
},
"versions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"bytes": {
"type": "number"
},
"htmlSha256": {
"type": "string"
},
"artifactCommitSha": {
"type": "string",
"nullable": true
},
"operationId": {
"type": "string",
"nullable": true
},
"medium": {
"type": "string"
},
"connectorId": {
"type": "string",
"nullable": true
},
"source": {
"type": "string",
"enum": [
"WEB",
"ASSISTANT",
"MCP",
"CLI",
"DEVELOPER_API"
]
},
"reason": {
"type": "string",
"nullable": true
},
"actorUser": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"email": {
"type": "string"
}
},
"required": [
"id",
"name",
"email"
],
"nullable": true
},
"createdAt": {
"type": "string"
},
"restoredFromVersionId": {
"type": "string",
"nullable": true
},
"current": {
"type": "boolean",
"enum": [
false,
true
]
}
},
"required": [
"id",
"bytes",
"htmlSha256",
"artifactCommitSha",
"operationId",
"medium",
"connectorId",
"source",
"reason",
"actorUser",
"createdAt",
"restoredFromVersionId",
"current"
]
}
},
"nextOffset": {
"type": "number",
"nullable": true
}
},
"required": [
"itemId",
"currentVersionId",
"versions",
"nextOffset"
]
}
},
"required": [
"success",
"data"
]
}400Malformed JSON request body.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}401Missing or invalid Connector credentials.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}403Connector policy does not permit this command.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}404Unknown command.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}422Input validation error.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}